Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class DataObjectFormat

    java.lang.Object
      org.etsi.uri._01903.v1_3.DataObjectFormat

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:44:37+02:00",
               comments="JAXB RI v2.2.11")
    public class DataObjectFormat

extends Object
implements Serializable

Java class for DataObjectFormatType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DataObjectFormatType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ObjectIdentifier" type="{http://uri.etsi.org/01903/v1.3.2#}ObjectIdentifierType" minOccurs="0"/>
             <element name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Encoding" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
           </sequence>
           <attribute name="ObjectReference" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DataObjectFormat()`

Method Summary
`String` | `getDescription()` Gets the value of the description property.
`String` | `getEncoding()` Gets the value of the encoding property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`ObjectIdentifier` | `getObjectIdentifier()` Gets the value of the objectIdentifier property.
`String` | `getObjectReference()` Gets the value of the objectReference property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setEncoding(String value)` Sets the value of the encoding property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.
`void` | `setObjectIdentifier(ObjectIdentifier value)` Sets the value of the objectIdentifier property.
`void` | `setObjectReference(String value)` Sets the value of the objectReference property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataObjectFormat

    public DataObjectFormat()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getObjectIdentifier

    public ObjectIdentifier getObjectIdentifier()

  Gets the value of the objectIdentifier property.

  Returns:
    possible object is `ObjectIdentifier`

### setObjectIdentifier

    public void setObjectIdentifier(ObjectIdentifier value)

  Sets the value of the objectIdentifier property.

  Parameters:
    `value` - allowed object is `ObjectIdentifier`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

### getEncoding

    public String getEncoding()

  Gets the value of the encoding property.

  Returns:
    possible object is `String`

### setEncoding

    public void setEncoding(String value)

  Sets the value of the encoding property.

  Parameters:
    `value` - allowed object is `String`

### getObjectReference

    public String getObjectReference()

  Gets the value of the objectReference property.

  Returns:
    possible object is `String`

### setObjectReference

    public void setObjectReference(String value)

  Sets the value of the objectReference property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.